/*
 * Class TO_SPECIAL [CHARACTER_8]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1778 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1778 [] = {0xFF01,1551,1777,872,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1778 [] = {0xFF01,1777,872,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1778 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1778 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1778 [] = {0xFF01,1777,872,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1778 [] = {0xFF01,1777,872,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1778 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1778 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1778 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1778 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1778 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1778 [] = {1777,872,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1778 [] = {0xFF01,1777,872,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1778 [] = {0xFF01,1752,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1778 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1778 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1778 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_1778[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1778), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1778), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1778), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1778), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1778), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1778), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1778), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1778), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1778), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1778), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1778), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1778), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1778), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1778), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1778), 10455, 0},
	{EIF_GENERIC(NULL), 10448, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10449, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1778), 10450, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1778), 10451, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 10452, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10453, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10454, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1778), -1, 0xFFFFFFFF},
};
void Init1778(void)
{
	IDSC(desc_1778, 0, 1777);
	IDSC(desc_1778 + 1, 1, 1777);
	IDSC(desc_1778 + 32, 1422, 1777);
}


#ifdef __cplusplus
}
#endif
